pub mod entities;
mod migrator;

use migrator::Migrator;
use sea_orm::ConnectOptions;
use sea_orm::Database;
use sea_orm_migration::MigratorTrait;

pub async fn init<C: Into<ConnectOptions>>(
    opt: C,
) -> Result<sea_orm::DatabaseConnection, sea_orm::DbErr> {
    let db = Database::connect(opt).await?;

    Migrator::up(&db, None).await?;

    Ok(db)
}
